com/urls.py
from django.urls import path
from . import views

app_name = 'com'
urlpatterns = [
    path('', views.inbox, name='inbox'),
    path('message/<id_topic>', views.message, name='message'),
    path('contacter/', views.contact, name='contact'),
]

offers/urls.py
from django.urls import path
from . import views

app_name = 'offers'
urlpatterns = [
    path('', views.offers_host, name='offers_host'),
    path('postulants/', views.offers_guest, name='offers_guest'),
    path('ajouter/', views.offers_add, name='offers_add'),
    path('details/h/<offer_id>', views.details_host, name='details_host'),
    path('details/g/<offer_id>', views.details_guest, name='details_guest'),
]

sirmauth/urls.py
from django.urls import path
from . import views

app_name = 'sirmauth'
urlpatterns = [
    path('signup/', views.signup, name='signup'),
    path('signin/', views.signin, name='signin'),
    path('signout/', views.signout, name='signout'),
]

sirmo/urls.py
from django.conf import settings
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.index, name='index'),
    path('auth/', include('sirmauth.urls')),
    path('logements/', include('offers.urls')),
    path('messagerie/', include('com.urls')),
]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        path('__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

sirmo/views.py
from django.shortcuts import render


def index(request):
    context = {}
    return render(request, 'sirmo/index.html', context)

sirmo/templates/sirmo/base.html
{% load static %}
<!DOCTYPE html>
<html lang="fr">

<head>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="shortcut icon" href="{% static 'sirmo/img/favicon.png' %}" type="image/x-icon">
    <link rel="icon" href="{% static 'sirmo/img/favicon.png' %}" type="image/x-icon">

    <title>Ŝirmo</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
    </script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
    </script>

    <link href="{% static 'sirmo/css/style.css' %}" rel="stylesheet">

    <!-- Font Awesome Icons -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
        integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/simple-line-icons/2.4.1/css/simple-line-icons.css" rel="stylesheet" type="text/css">

</head>

<body>

    {% include 'sirmo/menu.html' %}

    {% block content %}
    {% endblock content %}

    <!-- Footer -->
    <footer>

    </footer>



</body>

</html>

sirmo/templates/sirmo/index.html
{% extends 'sirmo/base.html' %}
{% load static %}
{% block content %}


<header class="masthead text-black text-center">
    <div class="overlay"></div>
    <div class="container">
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <h1 class="mb-5">Le logement solidaire</h1>
            </div>
            {% include 'sirmo/search_form.html' %}
        </div>
    </div>
</header>

<section class="features-icons bg-light text-center">
    <div class="container">
        <div class="row" id="icon-section">
            <div class="col-lg-4">
                <div class="features-icons-item mx-auto mb-5 mb-lg-0 mb-lg-3">
                    <div class="features-icons-icon d-flex">
                        <i class="fas fa-home m-auto text-primary"></i>
                    </div>
                    <h3>Aide mutuelle</h3>
                    <p class="lead mb-0">Mettez à disposition une chambre et recevez de l'aide au quotidien.</p>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="features-icons-item mx-auto mb-5 mb-lg-0 mb-lg-3">
                    <div class="features-icons-icon d-flex">
                        <i class="fas fa-users m-auto text-primary"></i>
                    </div>
                    <h3>Cohésion</h3>
                    <p class="lead mb-0">Vivre ensemble pour sortir de l'isolement!</p>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="features-icons-item mx-auto mb-0 mb-lg-3">
                    <div class="features-icons-icon d-flex">
                        <i class="fas fa-arrow-up m-auto text-primary"></i>
                    </div>
                    <h3>Nouveau départ</h3>
                    <p class="lead mb-0">Offrez à quelqu'un l'opportunité de s'extraire de la précarité.</p>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock content %}

sirmo/templates/sirmo/menu.html
{% load static %}
<!-- Navigation -->
{% spaceless %}
<nav class="navbar navbar-expand-lg navbar-light bg-light static-top">
  <div class="container">
    <a class="navbar-brand" href="{% url 'index' %}">
      <img class="img-fluid logo" src="{% static 'sirmo/img/logo.png' %}" alt="Logo Sirmo">
    </a>
    <div>

      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
        aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        {% if request.path == '/' %}
        <a class="btn btn-light btn-sm" href="{% url 'offers:offers_host' %}">Logements</a>
        <a class="btn btn-light btn-sm" href="{% url 'offers:offers_guest' %}">Postulants</a>
        {% endif %}
        <a class="btn btn-light btn-sm" href="{% url 'offers:offers_add' %}">Créer une annonce</a>
        {% if user.is_authenticated %}
        <a class="btn btn-light btn-lg" href="{% url 'com:inbox' %}" alt="Messagerie" title="Messagerie">
          <i class="far fa-envelope"></i></a>
        <a class="btn btn-light btn-lg" href="{% url 'sirmauth:signout' %}" alt="Se déconnecter" title="Se déconnecter">
          <i class="fas fa-times"></i></a>
        {% else %}
        <a class="btn btn-light btn-lg" href="{% url 'sirmauth:signin' %}" alt="Se connecter" title="Se connecter"><i
            class="fas fa-sign-in-alt"></i></a>
        <a class="btn btn-light btn-lg" href="{% url 'sirmauth:signup' %}" alt="Créer un compte"
          title="Créer un compte"><i class="fas fa-user-plus"></i></a>
        {% endif %}
        {% if request.path == '/messagerie/' %}
        {% endif %}
      </div>
    </div>
  </div>
</nav>
{% endspaceless %}

sirmo/templates/sirmo/search_form.html
<div class="col-md-10 col-lg-8 col-xl-7 mx-auto">
  {% if request.path == '/' %}
  <form action="/logements/" method="post">
    {% else %}
    <form action="" method="post">
      {% endif %}
      {% csrf_token %}
      <div class="form-row">
        <div class="col-sm-8 col-md-9 mb-2 mb-md-0">
          <input name="search" type="search" class="form-control form-control-lg" placeholder="Ville ou code postal">
        </div>
        <div class="col-sm-4 col-md-3">
          {% if request.path == '/' %}
          <button type="submit" class="btn btn-block btn-lg btn-outline-secondary">Chercher</button>
          {% else %}
          <button type="submit" class="btn btn-block btn-lg btn-outline-secondary black">Chercher</button>
          {% endif %}
        </div>
      </div>
    </form>
</div>